#include <stdio.h>

int main() {
    int n, x, y, min_x, min_y, max_x, max_y;
    scanf("%d",&n);
    scanf("%d %d",&min_x,&min_y);
    max_x = min_x;
    max_y = min_y;
    for(int i=0; i<n-1; i++) {
        scanf("%d %d",&x, &y);
        min_x = min_x<x ? min_x : x;
        max_x = max_x>x ? max_x : x;
        min_y = min_y<y ? min_y : y;
        max_y = max_y>y ? max_y : y;
    }

    printf("%d", (max_x-min_x)*(max_y-min_y));

    return 0;
}